### Method

# GtkSource SnippetManager list_matching

#### Declaration [src]

    GListModel*
    gtk_source_snippet_manager_list_matching (
      GtkSourceSnippetManager* self,
      const gchar* group,
      const gchar* language_id,
      const gchar* trigger_prefix
    )

#### Description [src]

Queries the known snippets for those matching `group`, `language_id`, and/or `trigger_prefix`.

If any of these are `NULL`, they will be ignored when filtering the available snippets.

The `GListModel` only contains information about the available snippets until `g_list_model_get_item()` is called for a specific snippet. This helps reduce the number of `GObject`‘s that are created at runtime to those needed by the calling application.

#### Parameters

`group`

  Type: `const gchar*`

  A group name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`language_id`

  Type: `const gchar*`

  A `GtkSourceLanguage:id` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`trigger_prefix`

  Type: `const gchar*`

  A prefix for a trigger to activate.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `GtkSourceSnippet`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.